VirtualBox Main API

Public Attributes | List of all members
IGuestMonitorChangedEvent Interface Reference

Notification when the guest enables one of its monitors. More...

Inheritance diagram for IGuestMonitorChangedEvent:

## Public Attributes
readonly attribute GuestMonitorChangedEventType | changeType
| What was changed for this guest monitor.
readonly attribute unsigned long | screenId
| The monitor which was changed.
readonly attribute unsigned long | originX
| Physical X origin relative to the primary screen.
readonly attribute unsigned long | originY
| Physical Y origin relative to the primary screen.
readonly attribute unsigned long | width
| Width of the screen.
readonly attribute unsigned long | height
| Height of the screen.
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type.
readonly attribute IEventSource | source
| Source of this event.
readonly attribute boolean | waitable
| If we can wait for this event being processed.

## Additional Inherited Members
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed.
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed.

## Detailed Description

Notification when the guest enables one of its monitors.

Interface ID:
  `{0F7B8A22-C71F-4A36-8E5F-A77D01D76090}`

## Member Data Documentation

## ◆ changeType

readonly attribute GuestMonitorChangedEventType IGuestMonitorChangedEvent::changeType

What was changed for this guest monitor.

## ◆ screenId

readonly attribute unsigned long IGuestMonitorChangedEvent::screenId

The monitor which was changed.

## ◆ originX

readonly attribute unsigned long IGuestMonitorChangedEvent::originX

Physical X origin relative to the primary screen.

Valid for Enabled and NewOrigin.

## ◆ originY

readonly attribute unsigned long IGuestMonitorChangedEvent::originY

Physical Y origin relative to the primary screen.

Valid for Enabled and NewOrigin.

## ◆ width

readonly attribute unsigned long IGuestMonitorChangedEvent::width

Width of the screen.

Valid for Enabled.

## ◆ height

readonly attribute unsigned long IGuestMonitorChangedEvent::height

Height of the screen.

Valid for Enabled.